# Interface NodeDefaultsHeader

#### Hierarchy

- NodeDefaultsHeader

#####
Index

### Properties

backgroundColor
borderColor
hoverBackgroundColor
hoverInnerColor
hoverOuterColor
isolate
labelHalign
labelStyle
selectedBackgroundColor
selectedInnerColor
selectedOuterColor
useNodeColor

## Properties

### backgroundColor

backgroundColor: string

The background color of the node headers.

### borderColor

borderColor: string

The border color of the node headers.

### hoverBackgroundColor

hoverBackgroundColor: string

The background color of the node hover feedback.

### hoverInnerColor

hoverInnerColor: string

The inner color of the node hover feedback.

### hoverOuterColor

hoverOuterColor: string

The outer color of the node hover feedback.

### isolate

isolate: string

Specifies whether isolate behavior is enabled on the node.

### labelHalign

labelHalign: string

The horizontal alignment of the header title.

### labelStyle

labelStyle: object

The CSS style string defining the style of the header title.

### selectedBackgroundColor

selectedBackgroundColor: string

The background color of the node selection feedback.

### selectedInnerColor

selectedInnerColor: string

The inner color of the node selection feedback.

### selectedOuterColor

selectedOuterColor: string

The outer color of the node selection feedback.

### useNodeColor

useNodeColor: string

Specifies whether the node color should be displayed in the header.

Generated using TypeDoc